#
# spec file for package ruby (Version 1.8.5)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel fonts-config freetype2 freetype2-devel gawk gcc gcc41 gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gperf gpm graphviz grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc41 libjpeg libjpeg-devel libltdl libmudflap41 libnscd libpng libstdc++41 libtool libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl openssl-devel pam pam-modules patch perl permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline readline-devel rpm sed strace sysvinit tar tcl tcl-devel tcpd texinfo timezone tk tk-devel unzip util-linux vim xorg-x11-devel xorg-x11-fonts xorg-x11-fonts-core xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel


Name:           ruby
Version:        1.8.5
Release:        25
%define rb_ver  %(echo %{version} | sed -e 's/\\\.[0-9]\\\+$//')
#
License:        GPL v2 or later
Group:          Development/Languages/Ruby
#
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gperf graphviz libjpeg-devel openssl-devel readline-devel tk-devel
%if 0%{?suse_version} < 930
BuildRequires:  XFree86-devel XFree86-fonts-scalable
%else
BuildRequires:  xorg-x11-devel xorg-x11-fonts-scalable
%endif
Provides:       /usr/bin/ruby
#
Url:            http://www.ruby-lang.org/
Source0:        ruby-%{version}.tar.bz2
Source1:        irb.1
Source2:        ruby-doc-bundle.tar.bz2
Patch0:         ruby-1.8.2-gc.diff
Patch1:         ruby-1.8.1-lib64.diff
Patch2:         ruby-1.8.4-no-eaccess.diff
Patch4:         ruby-1.8.2-tcltk-multilib.patch
Patch7:         ruby-socket_ipv6.patch
Patch8:         ruby-1.8.4-warnings.patch
Patch9:         ruby-1.8.5_linkerflags.patch
Patch10:        ruby-1.8.4-fix-insecure-dir-operation.patch
Patch11:        ruby-1.8.4-fix-insecure-regexp-modification.patch
Patch12:        ruby-1.8.4-fix-alias-safe-level.patch
Patch13:        ruby-fix-autoconf-magic-code.patch
Patch15:        cgi_multipart_eof_fix.patch
Patch16:        ruby-1.8.5_boundary_quoting.patch
Patch17:        ruby-1.8.5_kconv_toeuc.patch
# vendor ruby files taken from:
# http://svn.macports.org/repository/macports/trunk/dports/lang/ruby/
Patch14:        ruby-1.8.5-vendor_ruby.patch
Patch18:        ruby-1.8.5_openssl_verify_host.patch
Patch19:        ruby-1.8.5.x_webrick_file_acess_vulnerability.patch
Patch20:        ruby-1.8.x_CVE-2008-2662+2663+2664+2725+2726.patch
Patch21:        ruby-1.8.6.x_webrick_dosish_paths.patch
Source3:        site-specific.rb
Source4:        vendor-specific.rb
#
Summary:        An Interpreted Object-Oriented Scripting Language

%description
Ruby is an interpreted scripting language for quick and easy
object-oriented programming.  It has many features for processing text
files and performing system management tasks (as in Perl).  It is
simple, straight-forward, and extensible.

* Ruby features:

- Simple Syntax

- *Normal* Object-Oriented features (class, method calls, for
   example)

- *Advanced* Object-Oriented features(Mix-in, Singleton-method, for
   example)

- Operator Overloading

- Exception Handling

- Iterators and Closures

- Garbage Collection

- Dynamic Loading of Object Files (on some architectures)

- Highly Portable (works on many UNIX machines; DOS, Windows, Mac,
BeOS, and more)



Authors:
--------
    Yukihiro Matsumoto <matz@netlab.co.jp>

%debug_package
%package devel
License:        GPL v2 or later
Group:          Development/Languages/Ruby
Summary:        Development files to link against Ruby.
Requires:       %{name} = %{version}

%description devel
Development files to link against Ruby.



Authors:
--------
    Yukihiro Matsumoto <matz@netlab.co.jp>

%package tk
License:        GPL v2 or later
Group:          Development/Languages/Ruby
Summary:        TCL/TK bindings for Ruby
Requires:       %{name} = %{version}

%description tk
TCL/TK bindings for Ruby



Authors:
--------
    Yukihiro Matsumoto <matz@netlab.co.jp>

%package doc-ri
License:        GPL v2 or later
Group:          Development/Languages/Ruby
Summary:        Ruby Interactive Documentation
Requires:       %{name} = %{version}

%description doc-ri
This package contains the RI docs for ruby



Authors:
--------
    Yukihiro Matsumoto <matz@netlab.co.jp>

%package doc-html
License:        GPL v2 or later
Group:          Development/Languages/Ruby
Summary:        This package contains the HTML docs for ruby

%description doc-html
This package contains the HTML docs for ruby



Authors:
--------
    Yukihiro Matsumoto <matz@netlab.co.jp>

%package examples
License:        GPL v2 or later
Group:          Development/Languages/Ruby
Summary:        Example scripts for ruby
Requires:       %{name} = %{version}

%description examples
Example scripts for ruby



Authors:
--------
    Yukihiro Matsumoto <matz@netlab.co.jp>

%package test-suite
License:        GPL v2 or later
Group:          Development/Languages/Ruby
Summary:        An Interpreted Object-Oriented Scripting Language

%description test-suite
Ruby is an interpreted scripting language for quick and easy
object-oriented programming.  It has many features for processing text
files and performing system management tasks (as in Perl).  It is
simple, straight-forward, and extensible.

* Ruby features:

- Simple Syntax

- *Normal* Object-Oriented features (class, method calls, for
   example)

- *Advanced* Object-Oriented features(Mix-in, Singleton-method, for
   example)

- Operator Overloading

- Exception Handling

- Iterators and Closures

- Garbage Collection

- Dynamic Loading of Object Files (on some architectures)

- Highly Portable (works on many UNIX machines; DOS, Windows, Mac,
BeOS, and more)



Authors:
--------
    Yukihiro Matsumoto <matz@netlab.co.jp>

%prep
%setup -q -a2
%patch0
%patch1
#%patch2
%patch4
%patch7
#%patch8
%patch9
#%patch10 -p1
#%patch11 -p1
#%patch12 -p1
#%patch13 -p1
%patch14
%patch15
%patch16
%patch17
%patch18
%patch19
%patch20
%patch21
find . -type f | xargs -n 1 sed -i "s@#!\s*/usr/local/bin/ruby@#!/usr/bin/ruby@"
touch parse.y

%build
autoreconf -fi
export CFLAGS="%{optflags} -g -fno-strict-aliasing"
%configure                                         \
    --with-default-kcode=none                      \
    --with-mantype=man                             \
    --enable-shared                                \
    --enable-static
%{__make} all
%{__make} -C ext/tk/ all
#
# move the tests out of the way that require an installed ruby
# we dont have that in our build environment.
#
%{__mkdir} unused.test
%{__mv} test/{drb,soap,webrick} unused.test/
%ifarch ppc64 s390x
%{__mv} test/openssl/ unused.test/
%endif
#
# -> LD_LIBRARY_PATH => we need to find libruby.so.%{rb_ver}
#    the test suite uses LD_PRELOAD=./libruby.so.%{rb_ver}
# -> RUBYLIB => find needed modules during documentation generation
#
export LD_LIBRARY_PATH="$PWD/"
export RUBYLIB="$PWD:$PWD/lib:$(find $PWD/.ext  $PWD/ext/ -type d |tr '\n' ':')."
#
# run the test suites
#
#%{__make} check
#
# TODO:
#   the big test suite fails with some weird openssl errors on ppc
#   to be reinvestigated
#
# %{__make} check
#
# restore the tests
#
%{__mv} unused.test/{drb,soap,webrick} test/
%ifarch ppc64 s390x
%{__mv} unused.test/openssl/ test/
%endif
#
# TODO: patch the .document files to include all needed modules.
#
./ruby bin/rdoc                        \
    --all --line-numbers --ri-system   \
    --op=ri/%{rb_ver}/system .
./ruby bin/rdoc                          \
    --all --line-numbers --charset=UTF-8 \
    --fmt=html -p --inline-source        \
    --op=rdoc/html .

%install
%makeinstall
%makeinstall -C ext/tk/
%{__install} -d -m 0755                          \
    %{buildroot}%{_docdir}/%{name}{,-test-suite} \
    %{buildroot}%{_datadir}/emacs/site-lisp      \
    %{buildroot}%{_datadir}/ri/%{rb_ver}/system/ \
    %{buildroot}%{_libdir}/%{name}/vendor_%{name}/%{rb_ver}
#
%{__install} -m 0644 misc/*.el %{buildroot}%{_datadir}/emacs/site-lisp/
%{__install} -m 0644 %{S:1}    %{buildroot}%{_mandir}/man1/irb.1
#
%{__install} -m 0644 %{S:3}    %{buildroot}%{_libdir}/%{name}/site_%{name}/%{rb_ver}
%{__install} -m 0644 %{S:4}    %{buildroot}%{_libdir}/%{name}/vendor_%{name}/%{rb_ver}
#
%{__cp} -rv                                    \
    ri/%{rb_ver}/system/* %{buildroot}%{_datadir}/
mv %{buildroot}%{_datadir}{,/ri/%{rb_ver}}/created.rid
%{__cp} -rv                                    \
        COPYING COPYING.ja ChangeLog GPL LEGAL \
        LGPL README README.EXT README.EXT.ja   \
        README.ja ToDo doc/NEWS                \
    %{buildroot}%{_docdir}/%{name}
%{__cp} -rv \
    ruby-doc-bundle %{buildroot}%{_docdir}/%{name}
%{__cp} -rv \
    rdoc/html %{buildroot}%{_docdir}/%{name}/ruby-library-docs
%{__cp} -rv \
    sample %{buildroot}%{_docdir}/%{name}/examples
%{__cp} -r test/ runruby.rb %{buildroot}%{_docdir}/%{name}-test-suite/
%{__ln_s} -f %{_bindir}/%{name} %{buildroot}%{_docdir}/%{name}-test-suite/%{name}

%post   -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/*
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/%{rb_ver}
%{_libdir}/lib%{name}.so.%{rb_ver}*
%{_datadir}/emacs/site-lisp/*
%{_mandir}/man1/*
%dir %{_libdir}/%{name}/site_%{name}
%dir %{_libdir}/%{name}/site_%{name}/%{rb_ver}
%dir %{_libdir}/%{name}/site_%{name}/%{rb_ver}/%{rb_arch}
%dir %{_libdir}/%{name}/vendor_%{name}
%dir %{_libdir}/%{name}/vendor_%{name}/%{rb_ver}
%dir %{_libdir}/%{name}/vendor_%{name}/%{rb_ver}/%{rb_arch}
%{_libdir}/%{name}/site_%{name}/%{rb_ver}/site-specific.rb
%{_libdir}/%{name}/vendor_%{name}/%{rb_ver}/vendor-specific.rb
%{_libdir}/%{name}/%{rb_ver}/English.rb
%{_libdir}/%{name}/%{rb_ver}/Env.rb
%{_libdir}/%{name}/%{rb_ver}/abbrev.rb
%{_libdir}/%{name}/%{rb_ver}/base64.rb
%{_libdir}/%{name}/%{rb_ver}/benchmark.rb
%{_libdir}/%{name}/%{rb_ver}/cgi*
%{_libdir}/%{name}/%{rb_ver}/complex.rb
%{_libdir}/%{name}/%{rb_ver}/csv.rb
%{_libdir}/%{name}/%{rb_ver}/date.rb
%dir %{_libdir}/%{name}/%{rb_ver}/date
%{_libdir}/%{name}/%{rb_ver}/date/format.rb
%{_libdir}/%{name}/%{rb_ver}/date2.rb
%{_libdir}/%{name}/%{rb_ver}/debug.rb
%{_libdir}/%{name}/%{rb_ver}/delegate.rb
%{_libdir}/%{name}/%{rb_ver}/bigdecimal/
%{_libdir}/%{name}/%{rb_ver}/dl/
%{_libdir}/%{name}/%{rb_ver}/drb*
%{_libdir}/%{name}/%{rb_ver}/e2mmap.rb
%{_libdir}/%{name}/%{rb_ver}/erb.rb
%{_libdir}/%{name}/%{rb_ver}/eregex.rb
%{_libdir}/%{name}/%{rb_ver}/expect.rb
%{_libdir}/%{name}/%{rb_ver}/fileutils.rb
%{_libdir}/%{name}/%{rb_ver}/finalize.rb
%{_libdir}/%{name}/%{rb_ver}/find.rb
%{_libdir}/%{name}/%{rb_ver}/forwardable.rb
%{_libdir}/%{name}/%{rb_ver}/ftools.rb
%{_libdir}/%{name}/%{rb_ver}/generator.rb
%{_libdir}/%{name}/%{rb_ver}/getoptlong.rb
%{_libdir}/%{name}/%{rb_ver}/getopts.rb
%{_libdir}/%{name}/%{rb_ver}/gserver.rb
%{_libdir}/%{name}/%{rb_ver}/importenv.rb
%{_libdir}/%{name}/%{rb_ver}/io/
%{_libdir}/%{name}/%{rb_ver}/ipaddr.rb
%{_libdir}/%{name}/%{rb_ver}/irb*
%{_libdir}/%{name}/%{rb_ver}/jcode.rb
%{_libdir}/%{name}/%{rb_ver}/kconv.rb
%{_libdir}/%{name}/%{rb_ver}/logger.rb
%{_libdir}/%{name}/%{rb_ver}/mailread.rb
%{_libdir}/%{name}/%{rb_ver}/mathn.rb
%{_libdir}/%{name}/%{rb_ver}/matrix.rb
%{_libdir}/%{name}/%{rb_ver}/md5.rb
%{_libdir}/%{name}/%{rb_ver}/mkmf.rb
%{_libdir}/%{name}/%{rb_ver}/monitor.rb
%{_libdir}/%{name}/%{rb_ver}/mutex_m.rb
%{_libdir}/%{name}/%{rb_ver}/net/
%{_libdir}/%{name}/%{rb_ver}/observer.rb
%{_libdir}/%{name}/%{rb_ver}/open-uri.rb
%{_libdir}/%{name}/%{rb_ver}/open3.rb
%{_libdir}/%{name}/%{rb_ver}/openssl*
%{_libdir}/%{name}/%{rb_ver}/optparse*
%{_libdir}/%{name}/%{rb_ver}/ostruct.rb
%{_libdir}/%{name}/%{rb_ver}/parsearg.rb
%{_libdir}/%{name}/%{rb_ver}/parsedate.rb
%{_libdir}/%{name}/%{rb_ver}/pathname.rb
%{_libdir}/%{name}/%{rb_ver}/ping.rb
%{_libdir}/%{name}/%{rb_ver}/pp.rb
%{_libdir}/%{name}/%{rb_ver}/prettyprint.rb
%{_libdir}/%{name}/%{rb_ver}/profile.rb
%{_libdir}/%{name}/%{rb_ver}/profiler.rb
%{_libdir}/%{name}/%{rb_ver}/pstore.rb
%dir %{_libdir}/%{name}/%{rb_ver}/racc
%{_libdir}/%{name}/%{rb_ver}/racc/parser.rb
%{_libdir}/%{name}/%{rb_ver}/rational.rb
%{_libdir}/%{name}/%{rb_ver}/rdoc/
%{_libdir}/%{name}/%{rb_ver}/readbytes.rb
%{_libdir}/%{name}/%{rb_ver}/resolv-replace.rb
%{_libdir}/%{name}/%{rb_ver}/resolv.rb
%{_libdir}/%{name}/%{rb_ver}/rexml/
%{_libdir}/%{name}/%{rb_ver}/rinda/
%{_libdir}/%{name}/%{rb_ver}/rss*
%{_libdir}/%{name}/%{rb_ver}/rubyunit.rb
%{_libdir}/%{name}/%{rb_ver}/runit/
%{_libdir}/%{name}/%{rb_ver}/scanf.rb
%{_libdir}/%{name}/%{rb_ver}/set.rb
%{_libdir}/%{name}/%{rb_ver}/sha1.rb
%{_libdir}/%{name}/%{rb_ver}/shell*
%{_libdir}/%{name}/%{rb_ver}/singleton.rb
%{_libdir}/%{name}/%{rb_ver}/soap/
%{_libdir}/%{name}/%{rb_ver}/sync.rb
%{_libdir}/%{name}/%{rb_ver}/tempfile.rb
%{_libdir}/%{name}/%{rb_ver}/test/
%{_libdir}/%{name}/%{rb_ver}/thread.rb
%{_libdir}/%{name}/%{rb_ver}/thwait.rb
%{_libdir}/%{name}/%{rb_ver}/time.rb
%{_libdir}/%{name}/%{rb_ver}/timeout.rb
%{_libdir}/%{name}/%{rb_ver}/tmpdir.rb
%{_libdir}/%{name}/%{rb_ver}/tracer.rb
%{_libdir}/%{name}/%{rb_ver}/tsort.rb
%{_libdir}/%{name}/%{rb_ver}/un.rb
%{_libdir}/%{name}/%{rb_ver}/uri*
%{_libdir}/%{name}/%{rb_ver}/weakref.rb
%{_libdir}/%{name}/%{rb_ver}/webrick*
%{_libdir}/%{name}/%{rb_ver}/wsdl/
%{_libdir}/%{name}/%{rb_ver}/xmlrpc/
%{_libdir}/%{name}/%{rb_ver}/xsd/
%{_libdir}/%{name}/%{rb_ver}/yaml*
%dir %{_libdir}/%{name}/%{rb_ver}/%{rb_arch}
%{_libdir}/%{name}/%{rb_ver}/%{rb_arch}/rbconfig.rb
%{_libdir}/%{name}/%{rb_ver}/%{rb_arch}/[a-sA-s]*.so
%{_libdir}/%{name}/%{rb_ver}/%{rb_arch}/[u-zU-Z]*.so
%{_libdir}/%{name}/%{rb_ver}/%{rb_arch}/digest/
%{_libdir}/%{name}/%{rb_ver}/%{rb_arch}/io/
%{_libdir}/%{name}/%{rb_ver}/%{rb_arch}/racc/
%dir %{_docdir}/%{name}
%doc %{_docdir}/%{name}/COPYING*
%doc %{_docdir}/%{name}/ChangeLog
%doc %{_docdir}/%{name}/LEGAL
%doc %{_docdir}/%{name}/*GPL
%doc %{_docdir}/%{name}/NEWS
%doc %{_docdir}/%{name}/README*
%doc %{_docdir}/%{name}/ToDo

%files devel
%defattr(-,root,root)
%{_libdir}/lib%{name}.so
%{_libdir}/lib%{name}-static.a
%{_libdir}/%{name}/%{rb_ver}/%{rb_arch}/*.h

%files test-suite
%defattr(-,root,root)
%{_docdir}/%{name}-test-suite

%files tk
%defattr(-,root,root)
%{_libdir}/%{name}/%{rb_ver}/tcltk.rb
%{_libdir}/%{name}/%{rb_ver}/tk*
%{_libdir}/%{name}/%{rb_ver}/%{rb_arch}/tcltklib.so
%{_libdir}/%{name}/%{rb_ver}/%{rb_arch}/tkutil.so
%{_libdir}/%{name}/%{rb_ver}/remote-tk.rb
%{_libdir}/%{name}/%{rb_ver}/multi-tk.rb

%files doc-html
%defattr(-,root,root)
%doc %{_docdir}/%{name}/ruby-library-docs
%doc %{_docdir}/%{name}/ruby-doc-bundle

%files doc-ri
%defattr(-,root,root)
%doc %{_datadir}/ri

%files examples
%defattr(-,root,root)
%doc %{_docdir}/%{name}/examples

%changelog
* Tue Jul 22 2008 - mrueckert@suse.de
- added ruby-1.8.5.x_webrick_file_acess_vulnerability.patch:
  Fixes File access vulnerability of WEBrick
  (CVE-2008-1145) (bnc#368618)
- ruby-1.8.6.x_webrick_dosish_paths.patch:
  (CVE-2008-1891) (bnc#383299)
- ruby-1.8.x_CVE-2008-2662+2663+2664+2725+2726.patch:
  CVE-2008-2662, CVE-2008-2663, CVE-2008-2664, CVE-2008-2725,
  CVE-2008-2726, CVE-2008-2727, CVE-2008-2728
  (bnc#397346,bnc#405339)
* Wed Nov 14 2007 - mrueckert@suse.de
- added ruby-1.8.5_openssl_verify_host.patch: (#329706)
  validate the hostname against the CN from the presented SSL
  certificicate. This has been enabled for telnets, ftptls, imaps
  and https. (CVE-2007-5162,CVE-2007-5770)
  For telnets and https the verification is done if the verify mode
  is set to anything else than OpenSSL::SSL::VERIFY_NONE.
  For ftptls it is always enabled.
  For imaps it is checked if you enable verification.
* Thu Mar 01 2007 - mrueckert@suse.de
- removed duplicated chunk in ruby-1.8.5_boundary_quoting.patch
* Thu Feb 15 2007 - mrueckert@suse.de
- added  ruby-1.8.5_boundary_quoting.patch (#225983)
  quote the string properly beforing passing it to regexp match.
  (CVE-2006-6303)
- added ruby-1.8.5_kconv_toeuc.patch (#239219)
  Fix mime support for Kconv.toeuc
* Mon Oct 30 2006 - mrueckert@suse.de
- added cgi_multipart_eof_fix.patch:
  fix for a denial of service condition in cgi.rb CVE-2006-5467
  (#214916)
* Fri Oct 20 2006 - mrueckert@suse.de
- run ldconfig
- add site_ruby and vendor_ruby arch directories to the filelist
* Wed Sep 27 2006 - mrueckert@suse.de
- added ruby-1.8.5-vendor_ruby.patch, site-specific.rb, vendor-specific.rb:
  add vendor_ruby support. This is a small change for packager.
  you can now run 'ruby -rvendor-specific extconf.rb' (or setup.rb)
  and it will be automatically installed in
  %%{_libdir}/ruby/vendor_ruby.
* Sat Aug 26 2006 - mrueckert@suse.de
- Update to version 1.8.5:
  o Non-blocking IO
  | - Several methods backported from HEAD have been added:
  | - BasicSocket?#recv_nonblock
  | - IO#read_nonblock
  | - IO#write_nonblock
  | - Socket#accept_nonblock
  | - Socket#connect_nonblock
  | - Socket#recvfrom_nonblock
  | - TCPServer#accept_nonblock
  | - UDPSocket#recvfrom_nonblock
  | - UNIXServer#accept_nonblock
  | (see ruby-core:7917, ruby-core:7925).
  |
  o Process.getrlimit/setrlimit See ruby-dev:28729.
  |
  o Changes in rdoc/ri
  | - lots of documentation added
  | - RubyGems support: ri will search gem installation dirs for
  |   additional documentation
  | - new options to limit the search path
  |
  o RSS
  | - added RSS::RootElementMixin?#to_xml (ruby-talk:197284), which
  |   can be used to convert feeds to a different RSS version as
  |   follows:
  | [[[
  | rss10 = RSS::Parser.parse(File.read("1.0.rdf"))
  | File.open("2.0.rss", "w") {|f| f.print(rss10.to_xml("2.0"))}
  | ]]]
  | - Support for taxonomies added to the RSS parser and generator.
  | - A number of convenience methods added
  | - New style API for RSS generation ruby-talk:197284
  | [[[
  | The recommended style is nowxxx.new_yyy do |yyy|
  |   yyy.zzz = zzz
  |   ...
  | end
  |
  |
  | This corresponds to the following in pre-1.8.5:
  | yyy = xxx.new_yyy
  | yyy.zzz = zzz
  | ]]]
  o Misc
  | - added Kernel.Pathname(path)
  | - added Kernel#pretty_inspect
  | - changes in the GC subsystem that result in better performance
  |   in some cases
  | - added OptionParser?#getopts
  | - the per-object overhead went down to 20 bytes on win32
  |   (from 24) ruby-core:7474
  o What breaks (!!!)
  | - Binding.of_caller, and therefore breakpoint (including Rails')
  | - several problems in ri reported: the documentation for some
  |   methods seems to have disappeared, and several methods that
  |   should not be documented appear in the indices;
  |   see ruby-core:08709
- removed patches, which are included in 1.8.5:
  ruby-1.8.4-fix-insecure-dir-operation.patch
  ruby-1.8.4-fix-insecure-regexp-modification.patch
  ruby-1.8.4-fix-alias-safe-level.patch
- updated ruby-1.8.4_linkerflags.patch.
  new name ruby-1.8.5_linkerflags.patch
* Mon Jul 31 2006 - mrueckert@suse.de
- added ruby-fix-autoconf-magic-code.patch:
  Fix for the latest changes in the autoconf code.
* Mon Jul 31 2006 - mrueckert@suse.de
- security fixes [CVE-2006-3694] [#193661]
  * added ruby-1.8.4-fix-insecure-dir-operation.patch &
  ruby-1.8.4-fix-insecure-regexp-modification.patch:
  fix the insecure operations in the certain safe-level
  restrictions.
  * ruby-1.8.4-fix-alias-safe-level.patch: preserve safe level
  restrictions when aliasing a function.
* Mon Apr 10 2006 - mrueckert@suse.de
- build with -fno-strict-aliasing
- enable more tests on ppc
- disable drb tests
* Mon Apr 03 2006 - mrueckert@suse.de
- reworked the ruby-1.8.4-no-eaccess.diff patch
  it broke when build on old distros
* Thu Jan 26 2006 - mrueckert@suse.de
- added upstream patch for eaccess
- disabled openssl tests on pcc
* Wed Jan 25 2006 - mrueckert@suse.de
- added ruby-1.8.4_linkerflags.patch
  patch removes -L. from the linker flags.
  it seems libtool otherwise expands it to -L$PWD.
  this leads to trouble with our build system.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 16 2006 - kukuk@suse.de
- Use eaccess() from glibc [#143291]
* Sun Jan 15 2006 - mrueckert@suse.de
- disabled the big test suite as we trigger
  a weird bug in the openssl bindings on ppc64
* Sat Dec 24 2005 - mrueckert@suse.de
- Update to 1.8.4
- dont run with --default-kcode=utf8
  triggers a bug in the test suite
* Fri Sep 23 2005 - mrueckert@suse.de
- update to 1.8.3
- updated patches for 1.8.3
- ruby-doc tarball now included as tar.bz2
* Mon Sep 12 2005 - mrueckert@suse.de
- fix path of the RI documentation [Bug #116408]
* Thu Sep 08 2005 - mrueckert@suse.de
- dont make the irb man page executable. [Bug #114849]
* Tue Aug 23 2005 - mrueckert@suse.de
- added directory entries for the site ruby dirs
* Mon Aug 22 2005 - mrueckert@suse.de
- disabled mkmf patch for now. it breaks building the socket
  extension.
* Sun Aug 21 2005 - ro@suse.de
- added directories to filelist
- fix typo in filelist
* Fri Aug 19 2005 - mrueckert@suse.de
- Build RI and html documentation. Added subpackages for them.
- moved samples into a sub packages.
- build tcl/tk bindings and move them into their own package.
  (ruby-1.8.2-tcltk-multilib.patch)
- disabled optimization on ia64/x86_x64. needs investigation.
- fixed parameter swap in memset call
  (ruby-1.8.2-strscan-memset.patch)
- let mkmf create shared libraries (ruby-mkmf-shared.patch)
- splitted of devel files
* Tue Jul 19 2005 - mge@suse.de
- make "make test" run also on x86_64 by disabling
  code optimization (-O0), as it is for ia64
- enable "make test" for ppc64 again
* Tue Jul 19 2005 - mge@suse.de
- Fixes #95366, CAN-2005-1992:
  arbitrary command execution on XMLRPC server
* Wed Jun 01 2005 - ro@suse.de
- update to 1.8.2
* Mon Jan 03 2005 - mge@suse.de
- added fixes for lib/cgi.rb and lib/cgi/session.rb
  from ruby-1.8.2, fixes: #47886 (CAN-2004-0983)
* Thu Nov 18 2004 - ro@suse.de
- fixed file list
* Sat Sep 25 2004 - ro@suse.de
- added cgi_session.diff (from debian, CAN-2004-0755)
* Mon Jul 26 2004 - ro@suse.de
- fix typo in specfile
* Sun Jun 20 2004 - ro@suse.de
- fix find in specfile
* Thu Apr 29 2004 - ro@suse.de
- added missing return value (unreached code)
* Tue Mar 23 2004 - mge@suse.de
- make ruby build on ia64 and ppc64
* Sat Feb 28 2004 - ro@suse.de
- fix makefile rule for regenerating lex.c
* Sat Feb 28 2004 - ro@suse.de
- add gperf to neededforbuild
* Sat Feb 28 2004 - ro@suse.de
- fix requirement for /usr/local/bin
- use no-strict-aliasing
* Mon Feb 02 2004 - mge@suse.de
- update to 1.8.1
  also fixes Bug #34226: Readline support missing from ruby
* Sun Jan 11 2004 - adrian@suse.de
- add %%defattr
* Mon Aug 04 2003 - mge@suse.de
- update tp 1.8.0
* Mon Jan 06 2003 - mge@suse.de
- update to 1.6.8
* Tue May 21 2002 - meissner@suse.de
- More %%_lib fixes inside package.
* Tue May 21 2002 - meissner@suse.de
- %%_lib fixes
- Added prototype for rb_node_newnode.
* Fri May 17 2002 - mge@suse.de
- update to 1.6.7
* Mon Apr 15 2002 - bk@suse.de
- lib64 and new arch fixes: suse_update_config and use %%_libdir
* Fri Apr 05 2002 - schwab@suse.de
- Remove ia64 workaround.
* Tue Aug 21 2001 - mge@suse.de
- update to 1.6.4
* Sun May 20 2001 - mge@suse.de
- changes _only_ to spec-file:
- make ruby shared libs built
- cleanup ruby directory structure (drop /usr/share/lib/ruby/)
* Wed May 09 2001 - mfabian@suse.de
- bzip2 sources
* Thu Mar 22 2001 - mge@suse.de
- update to 1.6.3, merge of rread's SPEC patches
* Mon Mar 19 2001 - schwab@suse.de
- Don't use __builtin_frame_address(2) on ia64.
- Compile with -O0 on ia64 to work around compiler bug.
* Mon Mar 05 2001 - rread@mountainviewdata.com
- introduced build-root
* Fri Feb 23 2001 - ro@suse.de
- added readline/readline-devel to neededforbuild (split from bash)
* Fri Jan 12 2001 - mge@suse.de
- update to 1.6.2
* Wed Dec 13 2000 - schwab@suse.de
- Add %%suse_update_config.
- Fix computation of stack limit.
* Tue Dec 05 2000 - mge@suse.de
- update to 1.6.1, manual 1.4.6
* Thu Jul 06 2000 - mge@suse.de
- initial SuSE RPM
